#include <Wire.h>
#include <BME280I2C.h>

BME280I2C bme;   // konkrete I2C-Implementierung

float P, T, H;

void setup() 
{
  Serial.begin(115200);
  Wire.begin(21, 22);   // ESP32 I2C Pins
  if (!bme.begin()) 
  {
    Serial.println("BME280 nicht gefunden!");
    while (1);
  }
  Serial.println("BME280 OK");
}

void loop() 
{
  bme.read(P, T, H);  
  Serial.print("P[");
  Serial.print(P);
  Serial.print("]mbar | T[");
  Serial.print(T);
  Serial.print("]C | H[");
  Serial.print(H);
  Serial.println("]%");
  delay(2000);
}




/*

void setup() 
{
  Serial.begin(115200);
  Wire.begin(); // 21, 22);   // ESP32 I2C Pins

  if (!bme.begin()) 
  {
    Serial.println("BME280 nicht gefunden!");
    while (1);
  }

  Serial.println("BME280 OK");
}

void loop() 
{
  bme.read(P, T, H);  
  Serial.print("P[");
  Serial.print(P);
  Serial.print("]C | T[");
  Serial.print(T);
  Serial.print("]C | H[");
  Serial.print(H);
  Serial.println("]");
  delay(2000);
}
*/